﻿// ===============================================================================
//  解决方案：置换型模板引擎
//  项目名称：ReplacementTemplateEngine
//  文件名称：ITemplateParser.cs
//  代码作者：网鸟老兵团(Me.YMind)
//  创建时间：2012-04-04 12:37
// ===============================================================================
//  Copyright © Htmlbird.Net. All rights reserved .
//  官方网站：http://www.htmlbird.net/
//  技术论坛：http://bbs.htmlbird.net/
//  版权所有：网鸟IT技术论坛 彦铭工作室
// ===============================================================================

using System.Collections.Generic;

namespace ReplacementTemplateEngine.Parser
{
	/// <summary>
	/// 定义模板代码解析器。
	/// </summary>
	internal interface ITemplateParser
	{
		/// <summary>
		/// 解析模板代码。
		/// </summary>
		/// <returns>返回 <see cref="Element"/> 对象的集合。</returns>
		List<Element> Parse();
	}
}
