﻿// ===============================================================================
//  解决方案：置换型模板引擎
//  项目名称：ReplacementTemplateEngine
//  文件名称：LexerMode.cs
//  代码作者：网鸟老兵团(Me.YMind)
//  创建时间：2012-04-04 12:35
// ===============================================================================
//  Copyright © Htmlbird.Net. All rights reserved .
//  官方网站：http://www.htmlbird.net/
//  技术论坛：http://bbs.htmlbird.net/
//  版权所有：网鸟IT技术论坛 彦铭工作室
// ===============================================================================

namespace ReplacementTemplateEngine.Parser
{
	/// <summary>
	/// 表示词法分析模式的枚举值。
	/// </summary>
	/// <remarks>记得上次我们的命名是PaserMode么？今天我们换个更加专业的单词。</remarks>
	internal enum LexerMode
	{
		/// <summary>
		/// 未定义状态。
		/// </summary>
		Text = 0,

		/// <summary>
		/// 进入标签。
		/// </summary>
		Label = 1,

		/// <summary>
		/// 进入格式化字符串。
		/// </summary>
		FormatString = 2,
	}
}
