﻿// ===============================================================================
//  解决方案：置换型模板引擎
//  项目名称：ReplacementTemplateEngine
//  文件名称：TestObjects.cs
//  代码作者：网鸟老兵团(Me.YMind)
//  创建时间：2012-04-03 16:01
// ===============================================================================
//  Copyright © Htmlbird.Net. All rights reserved .
//  官方网站：http://www.htmlbird.net/
//  技术论坛：http://bbs.htmlbird.net/
//  版权所有：网鸟IT技术论坛 彦铭工作室
// ===============================================================================

using System.Collections.Generic;

namespace ReplacementTemplateEngine.bak1
{
	public sealed class TestObjects
	{
		/// <summary>
		/// 模板文本。
		/// </summary>
		public const string TEMPLATE_STRING = @"<a href=""{url}"">{title}</a><br />";

		/// <summary>
		/// 业务数据。
		/// </summary>
		public static readonly Dictionary<string, string> NewsItems = new Dictionary<string, string> {
			{"http://news.qq.com/a/20120330/001077.htm", "7名塔利班人员乔装女性 欲打入北约内部被捕"},
			{"http://news.qq.com/a/20120330/001409.htm", "乌克兰遭轮奸焚烧少女伤重不治离世"},
			{"http://news.qq.com/a/20120330/001288.htm", "国际空间站宇航员拍到北马里亚纳一火山喷发"},
			{"http://news.qq.com/a/20120330/001535.htm", "土耳其同性恋男子可免除兵役 须提供确凿证据"},
			{"http://news.qq.com/a/20120330/000874.htm", "英首相卡梅伦公布宴客名单 否认为筹款聚餐"},
			{"http://news.qq.com/a/20120329/001774.htm", "孩子飞行途中胡闹不守秩序 全家四口被赶下飞机"},
			{"http://news.qq.com/a/20120329/001771.htm", "男子上厕所时抽水马桶突然爆炸 大腿和背部受伤"},
			{"http://news.qq.com/a/20120329/001685.htm", "美国总统奥巴马有意与林书豪切磋球艺"},
			{"http://news.qq.com/a/20120329/001696.htm", "法国家长与教师联合抵制家庭作业 称加剧不平等"},
			{"http://news.qq.com/a/20120329/001650.htm", "印尼政府称超短裙“色情” 欲对其颁布禁令"}
		};
	}
}
