﻿// ===============================================================================
//  解决方案：置换型模板引擎
//  项目名称：ReplacementTemplateEngine
//  文件名称：ITemplateEngine.cs
//  代码作者：网鸟老兵团(Me.YMind)
//  创建时间：2012-04-03 20:58
// ===============================================================================
//  Copyright © Htmlbird.Net. All rights reserved .
//  官方网站：http://www.htmlbird.net/
//  技术论坛：http://bbs.htmlbird.net/
//  版权所有：网鸟IT技术论坛 彦铭工作室
// ===============================================================================

namespace ReplacementTemplateEngine.bak2
{
	/// <summary>
	/// 定义模板引擎的基本功能。
	/// </summary>
	public interface ITemplateEngine
	{
		/// <summary>
		/// 解析模板。
		/// </summary>
		/// <param name="templateString">包含模板内容的字符串。</param>
		void Parser(string templateString);

		/// <summary>
		/// 设定变量标记的值。
		/// </summary>
		/// <param name="key">键名。</param>
		/// <param name="value">值。</param>
		void SetValue(string key, object value);

		/// <summary>
		/// 处理模板并输出结果。
		/// </summary>
		/// <returns>返回包含业务数据的字符串。</returns>
		string Process();
	}
}
