﻿// ===============================================================================
//  解决方案：置换型模板引擎
//  项目名称：ReplacementTemplateEngine
//  文件名称：IToken.cs
//  代码作者：网鸟老兵团(Me.YMind)
//  创建时间：2012-04-04 12:44
// ===============================================================================
//  Copyright © Htmlbird.Net. All rights reserved .
//  官方网站：http://www.htmlbird.net/
//  技术论坛：http://bbs.htmlbird.net/
//  版权所有：网鸟IT技术论坛 彦铭工作室
// ===============================================================================

namespace ReplacementTemplateEngine.Parser
{
	/// <summary>
	/// 定义一个 Token。
	/// </summary>
	internal interface IToken
	{
		/// <summary>
		/// 获取 Token 所在的列。
		/// </summary>
		int Column { get; }

		/// <summary>
		/// 获取 Token 所在的行。
		/// </summary>
		int Line { get; }

		/// <summary>
		/// 获取 Token 类型。
		/// </summary>
		TokenKind Kind { get; }

		/// <summary>
		/// 获取 Token 文本。
		/// </summary>
		string Text { get; }
	}
}
